'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getVariables;
function getVariables(content) {
  var variableRegex = /\$(.+):\s+(.+);/;
  var variables = [];

  content.split('\n').forEach(function (line) {
    var variable = variableRegex.exec(line);
    if (!variable) return;

    var name = variable[1].trim();
    var value = variable[2].replace(/!default|!important/g, '').trim();

    variables.push({ name: name, value: value });
    return;
  });

  return variables;
}